Package org.apache.lucene.benchmark.byTask.tasks

# Enum Class NewCollationAnalyzerTask.Implementation

java.lang.Object
java.lang.Enum<NewCollationAnalyzerTask.Implementation>
org.apache.lucene.benchmark.byTask.tasks.NewCollationAnalyzerTask.Implementation

All Implemented Interfaces:
  `Serializable`, `Comparable<NewCollationAnalyzerTask.Implementation>`, `Constable`

Enclosing class:
  `NewCollationAnalyzerTask`

public static enum NewCollationAnalyzerTask.Implementation extends Enum<NewCollationAnalyzerTask.Implementation>
Different Collation implementations: currently limited to what is provided in the JDK and ICU.

See Also:
  - Comparison of implementations

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ICU`
  `JDK`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static NewCollationAnalyzerTask.Implementation`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static NewCollationAnalyzerTask.Implementation[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### JDK

    public static final NewCollationAnalyzerTask.Implementation JDK

  - ### ICU

    public static final NewCollationAnalyzerTask.Implementation ICU

- ## Method Details

  - ### values

    public static NewCollationAnalyzerTask.Implementation[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static NewCollationAnalyzerTask.Implementation valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null